Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88228 - maple absoft plplot fail on upgrade to rh9
Summary: maple absoft plplot fail on upgrade to rh9
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 9
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-07 22:12 UTC by kossler
Modified: 2016-11-24 15:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-07 22:17:18 UTC


Attachments (Terms of Use)

Description kossler 2003-04-07 22:12:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Absoft fortran gives me an error on linking: symbol errno 
So does Maple the mathematics program. I run version 8
So does plplot a graphics package. This gives more undefined symbols.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. If you have maple, try running it under rh9
Same for absoft fortran and plplot.
2.
3.
    

Actual Results:  Fails at link time. with errors.

Expected Results:  Programs should run or in the case of absoft, produce a workable 
binary.

Additional info:

All these programs worked before upgrading. They still work on my other
machine which I did not upgrade.

Comment 1 Jakub Jelinek 2003-04-07 22:17:18 UTC
Then they are broken and needs to be fixed.
errno can be only used if #include <errno.h> is included first.
For the time being, if broken access to errno is in a binary, the dynamic
linker should automatically apply a workaround, if it is in some shared library
it uses you can use a workaround yourself (run the buggy program
with LD_ASSUME_KERNEL=2.4.1 or 2.2.5 in the environment).
Linking new program with buggy access to errno is intentionally not allowed.

Comment 2 kossler 2003-04-08 14:04:35 UTC
Maple and Absoft products are some of the few commercial products 
available for linux. When an upgrade breaks them, this is not a "notabug".

I'll try the workaround.

Comment 3 Jakub Jelinek 2003-04-08 14:07:10 UTC
Surely, it is a bug, but Maple/Absoft bug. Our bugzilla unfortunately has no
resolution category ISV BUG.


Note You need to log in before you can comment on or make changes to this bug.